安裝NI軟體時出現ni-systemlink-message-broker錯誤

更新 Jun 28, 2024

產品資訊

軟體

  • SystemLink
  • Package Manager

問題敘述

當我嘗試安裝 NI 軟體時,出現以下錯誤。我該如何解決這個問題?

An error occurred while installing a package: ni-systemlink-message-broker (21.1.0.49688-0+f536)

Additional error information:
An error occurred while installing the MSI at 'nisystemlink_message_brokeri.msi'.


2023-03-31_23h56_01.png
 

解決方案

此問題與更新現有 RabbitMQ 安裝的問題有關。有多種方法可以解決此錯誤。
  • 您可以依照下列步驟從 Windows 登錄編輯器中刪除 Erlang 項目:
  1. 在電腦桌面上,按下 <Windows-R> 開啟「Run」命令視窗。
  2. 插入regedit並按一下「確定」
  3. 前往電腦>>HKEY_LOCAL_MACHINE>>軟體>>Ericsson>>Erlang資料夾。
  4. 右鍵單擊Erlang並選擇刪除

圖片.png
  • 透過執行以下步驟刪除 RabtMQ 資料庫:
將資料夾C:\ProgramData\National Instruments\Skyline\RabbitMQ\db\的內容移到其他位置。
 
  • 在安裝過程中取消選擇一項特定的附加項目:

在安裝過程中,請在您可能想要安裝的其他專案視窗中取消勾選NI Web Server Development Support for LabVIEW [版本] [位數]方塊。


凱佩尼扎克普 2023-08-08 130718.png